From 0b0ae493e42582d230a3fca22734d794068e2f64 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Wed, 15 May 2019 14:08:42 +0200
Subject: [PATCH 289/308] ffsend: rebuild for libressl-2.9.2.

---
 srcpkgs/ffsend/template | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

diff --git a/srcpkgs/ffsend/template b/srcpkgs/ffsend/template
index 172744317d3..d77ec35028b 100644
--- a/srcpkgs/ffsend/template
+++ b/srcpkgs/ffsend/template
@@ -1,7 +1,7 @@
 # Template file for 'ffsend'
 pkgname=ffsend
 version=0.2.46
-revision=1
+revision=2
 build_style=cargo
 hostmakedepends="pkg-config"
 makedepends="libressl-devel"
@@ -15,3 +15,8 @@ checksum=f026d57388e1af565430a84fb52e4feeeab9b8a4804d40125915e2d4011d84d5
 case "$XBPS_TARGET_MACHINE" in
 	i686) broken="undefined reference to 'time::NSEC_PER_SEC'" ;;
 esac
+
+pre_build() {
+	cargo update --package openssl-sys --precise 0.9.46
+	cargo update --package openssl --precise 0.10.22
+}

